Jump to content
paddl82

Emby-Server on QNAP ARM X19 - BETA / TS-419P II

Recommended Posts

paddl82
Hello all. 
I would to install emby on my TS-419P II with QTS: 4.3.30628 Build 20180725 but i became an error. 
The QMono (V5.12.0.266) Package is installed. 
 
hat is the problem? Can anyone help me?
 
Fehler 2018/09/04 06:51:26 System 127.0.0.1 localhost [App Center] Failed to install Emby Server 3.6.0.33. You must first install and enable Mono >= 5.10.
 

 

BR, paddl

Share this post


Link to post
Share on other sites
Luke

Thanks for the report guys. Our primary developer for this is currently on vacation so we may not have a response to this until a week from now. I think we just need to clarify what the install instructions are for ARM units. Thanks.

  • Like 1

Share this post


Link to post
Share on other sites
rondeel

Maybe it's a matter of installing in the right order, within the package or as separate packages?

 

Failed to install Emby Server 3.6.0.33. You must first install and enable Mono >= 5.10.

 

Share this post


Link to post
Share on other sites
Luke

I would think you'd need to install QMono from QNap app central first.

  • Like 1

Share this post


Link to post
Share on other sites
rondeel

I would think you'd need to install QMono from QNap app central first.

Agreed, but it's not available there, so that's not an option.

I actually thought the new package bypassed that, since it's got mono in the name: "emby-server-qnap-mono_3.6.0.33_arm-x19.qpkg". I Guess I got my hopes up to high there...

Share this post


Link to post
Share on other sites
Luke

It just means that it's based on mono, but mono is too big too actually bundle inside the package.

 

For x64 systems we use .NET Core, and this is small enough to bundle inside so that there are zero dependencies required.

Share this post


Link to post
Share on other sites
PenkethBoy

Agreed, but it's not available there, so that's not an option.

I actually thought the new package bypassed that, since it's got mono in the name: "emby-server-qnap-mono_3.6.0.33_arm-x19.qpkg". I Guess I got my hopes up to high there...

yeah its not part of the qnap store - dont think it ever has been

 

you need to go to the Qnap Club store

 

https://www.qnapclub.eu/en/qpkg/193

 

make sure you get the correct version 

  • Like 1

Share this post


Link to post
Share on other sites
Luke

Thanks penkethboy.

 

@@rondeel, please let us know if this helps. Thanks !

  • Like 1

Share this post


Link to post
Share on other sites
rondeel

It just means that it's based on mono, but mono is too big too actually bundle inside the package.

 

I see.

 

yeah its not part of the qnap store - dont think it ever has been

 

you need to go to the Qnap Club store

 

https://www.qnapclub.eu/en/qpkg/193

 

make sure you get the correct version 

 

Thanks! I tried that now. Mono Framework for TS-ARM-X19 is installed and running.

 

But I still get the same error: "[App Center] Failed to install Emby Server 3.6.0.34. You must first install and enable Mono >= 5.10."

 

I assume Mono wouldn't install and run if it was the wrong version?

Share this post


Link to post
Share on other sites
PenkethBoy

whats your version number for mono?

Share this post


Link to post
Share on other sites
rondeel

whats your version number for mono?

 

V5.12.0.266

Share this post


Link to post
Share on other sites
PenkethBoy

Ok

 

then it sounds like the emby package is not detecting it correctly

 

If i get time later i will dust off my TS-412 and see if it works for me

  • Like 1

Share this post


Link to post
Share on other sites
OneCD

Emby might also be checking only for the QNAP Mono package (internally called 'Mono'), and not Stephane's Qmono (internally called 'Qmono').

  • Like 1

Share this post


Link to post
Share on other sites
PenkethBoy

Sorry not yet - got distracted by other things and cant find the power brick for the 412 at moment - its been filed away somewhere

Share this post


Link to post
Share on other sites
rondeel

Okay, I started over with the following packages:

  • Qmono_5.10.0.160_arm-x19.qpkg (same as before, but removed and installed after a reboot and FW upgrade)
  • Emby_3.5.2.0.qpkg (not emby-server-qnap-mono_3.6.0.33_arm-x19.qpkg as I was led to believe was the right one)

Now everything seems to work just fine!

 

(But will the 419P+ be up for the task? Now that's a completely different story... :blink: )

Share this post


Link to post
Share on other sites
Luke

Thanks for the feedback !

Share this post


Link to post
Share on other sites
Luke

Yes it is currently depending on Mono, we will change that to Qmono.

Share this post


Link to post
Share on other sites
Luke

Beta 3.6.0.40 will change the dependency to QMono. Thanks.

Share this post


Link to post
Share on other sites
paddl82

Good morning. The package is with no errors installed. But i can didn't start it. 

On My QNAP Desk is the Emby Button, but the service on ":8096" is nothing to access. 

Share this post


Link to post
Share on other sites
Luke

Hi, what do you mean by nothing to access? Can you describe the problem in more detail? Thanks !

Share this post


Link to post
Share on other sites
paddl82

i didn't have access to the service. When i use chrome to access on port:8096, i became an error: 

 

Diese Website ist nicht erreichbar

192.168.174.137 hat die Verbindung abgelehnt.

Share this post


Link to post
Share on other sites
maxleonca

Sorry for necrobumping this.

 

I just learn about Emby and I was very excited to find out that there is an official package for the TS-419PII.
I downloaded Qmono_5.12.0.266_arm-x19.qpkg and installed it, and then downloaded and install emby-server-qnap-mono_4.0.2.0_arm-x19.qpkg.

I was able to reach the server on port 8096 and even started to add folders to the Library, but then when the 1st one was added the server crashed.

 

Bellow you can find the full output of the emby_start.sh output.

https://pastebin.com/4xbAcTXv

 

Any chance someone can take a look and bring forth some of the knowledge?

 

Thank you.
.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...